Bug 1127704 - CVE-2014-3505 CVE-2014-3506 CVE-2014-3507 CVE-2014-3511 CVE-2014-3510 CVE-2014-3508 CVE-2014-3509 openssl: various flaws [fedora-all]
Summary: CVE-2014-3505 CVE-2014-3506 CVE-2014-3507 CVE-2014-3511 CVE-2014-3510 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-3509 CVE-2014-3507 CVE-2014-3511 CVE-2014-3508 CVE-2014-3505 CVE-2014-3506 CVE-2014-3510
TreeView+ depends on / blocked
 
Reported: 2014-08-07 11:31 UTC by Tomas Hoger
Modified: 2014-08-09 07:35 UTC (History)
1 user (show)

Fixed In Version: openssl-1.0.1e-39.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 07:33:32 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2014-08-07 11:31:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2014-08-07 11:31:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127499,1127704

# Description of your update
notes=Security fix for CVE-2014-3505

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127499,1127704

Comment 2 Tomas Hoger 2014-08-07 11:32:10 UTC
Adding parent bug 1127500 (for CVE-2014-3506).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127704,1127499,1127500

# Description of your update
notes=Security fix for CVE-2014-3505, CVE-2014-3506

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127704,1127499,1127500

Comment 3 Tomas Hoger 2014-08-07 11:33:03 UTC
Adding parent bug 1127502 (for CVE-2014-3507).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127704,1127499,1127500,1127502

# Description of your update
notes=Security fix for CVE-2014-3505, CVE-2014-3506, CVE-2014-3507

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127704,1127499,1127500,1127502

Comment 4 Tomas Hoger 2014-08-07 11:33:53 UTC
Adding parent bug 1127490 (for CVE-2014-3508).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127704,1127490,1127499,1127500,1127502

# Description of your update
notes=Security fix for CVE-2014-3505, CVE-2014-3506, CVE-2014-3507, CVE-2014-3508

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127704,1127490,1127499,1127500,1127502

Comment 5 Tomas Hoger 2014-08-07 11:34:42 UTC
Adding parent bug 1127498 (for CVE-2014-3509).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127704,1127490,1127498,1127499,1127500,1127502

# Description of your update
notes=Security fix for CVE-2014-3505, CVE-2014-3506, CVE-2014-3507, CVE-2014-3508, CVE-2014-3509

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127704,1127490,1127498,1127499,1127500,1127502

Comment 6 Tomas Hoger 2014-08-07 11:35:33 UTC
Adding parent bug 1127503 (for CVE-2014-3510).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127704,1127490,1127498,1127499,1127500,1127502,1127503

# Description of your update
notes=Security fix for CVE-2014-3505, CVE-2014-3506, CVE-2014-3507, CVE-2014-3508, CVE-2014-3509, CVE-2014-3510

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127704,1127490,1127498,1127499,1127500,1127502,1127503

Comment 7 Tomas Hoger 2014-08-07 11:36:24 UTC
Adding parent bug 1127504 (for CVE-2014-3511).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1127704,1127490,1127498,1127499,1127500,1127502,1127503,1127504

# Description of your update
notes=Security fix for CVE-2014-3505, CVE-2014-3506, CVE-2014-3507, CVE-2014-3510, CVE-2014-3508, CVE-2014-3509, CVE-2014-3511

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1127704,1127490,1127498,1127499,1127500,1127502,1127503,1127504

Comment 8 Fedora Update System 2014-08-08 11:54:33 UTC
openssl-1.0.1e-39.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openssl-1.0.1e-39.fc20

Comment 9 Fedora Update System 2014-08-08 11:54:44 UTC
openssl-1.0.1e-39.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openssl-1.0.1e-39.fc19

Comment 10 Fedora Update System 2014-08-09 07:33:32 UTC
openssl-1.0.1e-39.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-08-09 07:35:23 UTC
openssl-1.0.1e-39.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.